Page MenuHomePhabricator

[AVR] Fix useDeprecatedPositionallyEncodedOperands errors.
ClosedPublic

Authored by jyknight on Sep 19 2022, 7:57 AM.

Details

Summary

This is a follow-on to https://reviews.llvm.org/D134073.

It renames a few fields to have consistent names, as well as renaming
operands to match the field names.

The encoder behavior is unchanged by this cleanup, but a few
instructions were previously being disassembled incorrectly, and have
been corrected by this change. All of the affected instructions were
missing disassembly tests, which are now added.

Diff Detail

Event Timeline

jyknight created this revision.Sep 19 2022, 7:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 19 2022, 7:57 AM
Herald added subscribers: Jim, hiraditya. · View Herald Transcript
jyknight requested review of this revision.Sep 19 2022, 7:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 19 2022, 7:57 AM
MaskRay accepted this revision.Sep 19 2022, 10:45 AM
MaskRay added a subscriber: MaskRay.

Thanks!

llvm/test/MC/AVR/inst-rjmp.s
36

This can use INST-COUNT-8:

llvm/test/MC/AVR/inst-sbrs.s
2

< %s => %s

This revision is now accepted and ready to land.Sep 19 2022, 10:45 AM

this is non functional change, it would be better to retitled to [NFC][AVR] Fix useDeprecatedPositionallyEncodedOperands errors.

this is non functional change, it would be better to retitled to [NFC][AVR] Fix useDeprecatedPositionallyEncodedOperands errors.

It is not; it fixes bugs in the disassembler as noted in the change description.

benshi001 accepted this revision.Sep 20 2022, 7:21 PM

Thanks.

jyknight added inline comments.Sep 24 2022, 6:49 AM
llvm/test/MC/AVR/inst-rjmp.s
36

I'd rather not, just for clarity.

llvm/test/MC/AVR/inst-sbrs.s
2

Any particular reason? Most such tests (e.g. the line above) seem to use < %s currently.

This revision was landed with ongoing or failed builds.Sep 25 2022, 2:55 PM
This revision was automatically updated to reflect the committed changes.